Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
scm-credentials
CreateSCMCredential creates an SCM credential in the given namespace.
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scm-credentials \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "access_token": "<string>",
    "platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
    "target_url": "<string>",
    "description": "<string>",
    "scm_credential_status": {
      "last_tested_at": "2023-11-07T05:31:56Z",
      "state": "STATE_UNSPECIFIED"
    }
  },
  "propagate": true,
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "access_token": "<string>",
    "platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
    "target_url": "<string>",
    "description": "<string>",
    "scm_credential_status": {
      "error_message": "<string>",
      "last_tested_at": "2023-11-07T05:31:56Z",
      "state": "STATE_UNSPECIFIED"
    }
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "propagate": true,
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

SCMCredential represents SCM org/repo credentials for private dependency resolution. Customers configure these credentials to allow endorctl to authenticate with private Git repositories during agentless or SCM-integrated scans, eliminating resolution failures for cross-org private dependencies.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Propagate indicates that the object should be visible in child namespaces.

tenant_meta
Namespaces are associated with a tenant. · object

Namespaces are associated with a tenant.

Response

A successful response.

SCMCredential represents SCM org/repo credentials for private dependency resolution. Customers configure these credentials to allow endorctl to authenticate with private Git repositories during agentless or SCM-integrated scans, eliminating resolution failures for cross-org private dependencies.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object
required

Tenant related data for the tenant containing the resource.

propagate
boolean

Propagate indicates that the object should be visible in child namespaces.

uuid
string

The UUID of the SCM credential.